#include <avr/io.h>
#include <avr/interrupt.h>  /* for sei() */
#include <util/delay.h>     /* for _delay_ms() */
#include <avr/pgmspace.h>   /* required by usbdrv.h */
#include "usbdrv.h"

#define RQ_SET_LED    0

/* ------------------------------------------------------------------------- */
/* ----------------------------- USB interface ----------------------------- */
/* ------------------------------------------------------------------------- */

static int value = 0;

inC(value){
    if(value){
        PORTC |= (1<<PC0);
        PORTC |= (1<<PC1);
        PORTC |= (1<<PC2);
        PORTC &= ~(1<<PC2);

    }
    else
    {
        PORTC |= (1<<PC0);
        PORTC &= ~(1<<PC1);
        PORTC |= (1<<PC2);
        PORTC &= ~(1<<PC2);
    }
}

storageC(){
    PORTC |= (1<<PC4);
    PORTC &= ~(1<<PC4);
}

outC(){
    PORTC |= (1<<PC3);
    PORTC &= ~(1<<PC3);
}

inB(value){
    if(value){
        PORTB |= (1<<PB0);
        PORTB |= (1<<PB1);
        PORTB |= (1<<PB2);
        PORTB &= ~(1<<PB2);
    }
    else
    {
        PORTB |= (1<<PB0);
        PORTB &= ~(1<<PB1);
        PORTB |= (1<<PB2);
        PORTB &= ~(1<<PB2);
    }
}

storageB(){
    PORTB |= (1<<PB4);
    PORTB &= ~(1<<PB4);
}

outB(){
    PORTB |= (1<<PB3);
    PORTB &= ~(1<<PB3);
}

face(){
    int i=0;
    for(i=0;i<50;i++){
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(1);
        inC(1);
        inC(0);
        storageC();
        inB(1);
        inB(0);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(0);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(2);
        inC(0);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(1);
        inB(0);
        inB(0);
        inB(0);
        inB(0);
        inB(1);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(2);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(0);
        inB(1);
        inB(0);
        inB(0);
        inB(1);
        inB(0);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(2);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(0);
        inB(0);
        inB(0);
        inB(0);
        inB(0);
        inB(0);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(2);
    }
}
cry(){
    int i=0;
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
}

play(){
    int i=0;
    for(i=0;i<100;i++){
        inC(1);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(0);
        inB(0);
        inB(0);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(0);
        inB(1);
        inB(0);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
        
    }
    _delay_ms(10);
    for(i=0;i<100;i++){
        inC(0);
        inC(0);
        inC(1);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(1);
        inB(0);
        inB(0);
        inB(0);
        inB(1);
        inB(1);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
        inC(0);
        inC(0);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(1);
        inB(0);
        inB(1);
        inB(0);
        inB(1);
        inB(1);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
    }
    _delay_ms(10);
    for(i=0;i<100;i++){
        inC(1);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(0);
        inB(0);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
        inC(0);
        inC(1);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        inC(0);
        storageC();
        inB(1);
        inB(0);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        inB(1);
        storageB();
        outC();
        outB();
        _delay_ms(1);
        
    }
    _delay_ms(10);
}

poopoo(){
    int i=0;
        for(i=0;i<50;i++){
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);

        }
        _delay_ms(10);
        for(i=0;i<50;i++){
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            
        }
        _delay_ms(10);

}

eat(){
    int i=0;
        for(i=0;i<50;i++){
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
            for(i=0;i<50;i++){
                inC(1);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                inC(1);
                inC(0);
                storageC();
                inB(1);
                inB(1);
                inB(0);
                inB(0);
                inB(0);
                inB(0);
                inB(1);
                inB(1);
                storageB();
                outC();
                outB();
                _delay_ms(1);
                inC(0);
                inC(1);
                inC(0);
                inC(0);
                inC(0);
                inC(1);
                inC(0);
                inC(0);
                storageC();
                inB(1);
                inB(0);
                inB(1);
                inB(1);
                inB(1);
                inB(1);
                inB(0);
                inB(1);
                storageB();
                outC();
                outB();
                _delay_ms(1);
                inC(0);
                inC(0);
                inC(1);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                storageC();
                inB(1);
                inB(1);
                inB(0);
                inB(1);
                inB(1);
                inB(1);
                inB(1);
                inB(0);
                storageB();
                outC();
                outB();
                _delay_ms(1);
                inC(0);
                inC(0);
                inC(0);
                inC(1);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                storageC();
                inB(1);
                inB(1);
                inB(1);
                inB(0);
                inB(1);
                inB(1);
                inB(1);
                inB(0);
                storageB();
                outC();
                outB();
                _delay_ms(1);
                inC(0);
                inC(0);
                inC(0);
                inC(0);
                inC(1);
                inC(0);
                inC(0);
                inC(0);
                storageC();
                inB(1);
                inB(1);
                inB(0);
                inB(1);
                inB(1);
                inB(0);
                inB(1);
                inB(0);
                storageB();
                outC();
                outB();
                _delay_ms(1);
        }
        _delay_ms(10);
}

bath(){
    int i=0;
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            storageC();
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            storageC();
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);
        for(i=0;i<50;i++){
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            storageC();
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(1);
            inC(0);
            storageC();
            inB(1);
            inB(1);
            inB(0);
            inB(0);
            inB(0);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            inB(1);
            inB(1);
            inB(0);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
            inC(0);
            inC(1);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            inC(0);
            storageC();
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            inB(0);
            inB(1);
            inB(1);
            storageB();
            outC();
            outB();
            _delay_ms(1);
        }
        _delay_ms(10);

}

sound(){
    PORTD = (1<<PD5);
    _delay_ms(600);
    PORTD &= ~(1<<PD5);
}

clear(){
    inC(0);
    inC(0);
    inC(0);
    inC(0);
    inC(0);
    inC(0);
    inC(0);
    inC(0);
    storageC();
    inB(0);
    inB(0);
    inB(0);
    inB(0);
    inB(0);
    inB(0);
    inB(0);
    inB(0);
    storageB();
    outC();
    outB();

}

usbMsgLen_t usbFunctionSetup(uint8_t data[8])
{
    usbRequest_t *rq = (void *)data;
    
    if (rq->bRequest == RQ_SET_LED)
    {
        uint8_t val = rq->wValue.bytes[0];
        uint8_t index  = rq->wIndex.bytes[0];
        
        if (val){
            if(index==0)
                face();
            else if(index==1)
                cry();
            else if(index==2)
                play();
            else if(index==3)
                bath();
            else if(index==4)
                poopoo();
            else if(index==5)
                eat();
            else if(index==6)
                sound();
            else if(index==7)
                clear();
        }
        }
    
    return 0;
}

/* ------------------------------------------------------------------------- */

int main(void)
{
    DDRC  = (1<<PC0)|(1<<PC1)|(1<<PC2)|(1<<PC3)|(1<<PC4)|(1<<PC5);
    DDRB  = (1<<PB0)|(1<<PB1)|(1<<PB2)|(1<<PB3)|(1<<PB4)|(1<<PB5);
    DDRD  = (1<<PD5);
    

    usbInit();
    
    /* enforce re-enumeration, do this while interrupts are disabled! */
    usbDeviceDisconnect();
    _delay_ms(300);
    usbDeviceConnect();
    
    /* enable global interrupts */
    sei();
    /* main event loop */
    clear();
    for(;;)
    {
        usbPoll();
    }
    
    return 0;
}

/* ------------------------------------------------------------------------- */
